package rvl.swv;
import rvl.swv.*;
import java.io.*;

/**
  Engine for Maple code.
 */
public class MapleEngine extends AbstractEngine {

    public MapleEngine() {
        engineName = "MapleEngine";
        codeExt = ".mpl";
        outExt = ".mplout";
        commentStart = "# ";
        commentEnd = "";
        okfigfmts = new int[] {FigFile.JPG, FigFile.PS};
        startupCode = "interface(quiet=true);";
    }


    public void putSeparator(String text) {
        putCode("printf(\"%s\\n\", \"" + text + "\");");
    }

// Have to use cat so we don't get obs number
    public void putExpr(String expr) {
        putCode("print(" + expr + ");");
    }

    public FigFile setupFig(String chunkName) {
        FigFile fig = super.setupFig(chunkName);
        if (fig != null) {
            int fmt = fig.getFormat();
            String lbl = (fmt==FigFile.PS ? "postscript" : "jpeg"),
                extras = (fmt==FigFile.PS ? ",portrait" : "");
            putCode("plotsetup(" + lbl
                + ", plotoptions=`height=" + (int)(72*fig.getHeight())
                + ",width=" + (int)(72*fig.getWidth())
                + extras
                + "`, plotoutput = `" + fig.getFileName()+ "`);");
        }
        return fig;
    }

    public void closeFig() {
        putCode("interface(plotoutput=`junk.out`);");
    }




} // ----- END OF MPLEngine -------

