package rvl.swv;

/**
This enumerates the possible tags that can be found in the source file.
<UL>
<li> {@link #chunk} is returned when a code chunk is found
<li> {@link #coderef} is return when there is a reference to previous labeled code
(This should happen only within a code chunk.)
<li> {@link #globalOpts} and {@link #langOpts} designate global and language-specific option
specifications that applym to all future chunks
<li> {@link #expr} signals that we have an inline expression to evaluate and embed.
<li> {@link #recallFig}, {@link #recallCode}, and {@link #recallOutput} signal
requests to embed results from prior <tt>savefig</tt>, <tt>savecode</tt>,
and <tt>saveout</tt> chunk options
<li> {@link #noMore} is the code for no more tags found.
</UL>
*/

public enum Tag { chunk, coderef, globalOpts, langOpts, expr,
         recallFig, recallCode, recallOutput, noMore };

